# 获取单个币种资产可用余额

### **1. 接口调用：**

&#x20;`https://{host}/open/api/availableAmt`

### **2. 请求参数**

| 参数           | 是否必须 | 说明                                      |
| ------------ | ---- | --------------------------------------- |
| currencyType | 是    | 币种简称，例如BTC                              |
| isDeductFee  | 否    | 返回的可用余额是否显示扣除提币手续费的金额，Y或者空显示，N则显示真实可用金额 |

### 3.请求参数示例

```
 {
     "channelId":"zml-test",
     "currencyType":"SWFTC",
     "sign":"102027D292DD0707E0D899459D91C759858D7367D223CB239A8EC3A90C30B122",
     "timestamp":1557653925555
 }
```

### 4.Postman示例

![](/files/MW02Mk7Ve0qypWwyIEHn)

### 5.返回结果示例

```
 {
     "data": {
         "availableAmount": "29363.143631",
         "withdrawFee": "0",
     },
     "resCode": "800",
     "resMsg": "成功"
 }
```

### 6.返回参数说明

| 字段名称         | 是否数组 | 字段              | 数据类型   | 数据长度 | 必须项 | 备注       |
| ------------ | ---- | --------------- | ------ | ---- | --- | -------- |
| 用户该币种可用余额    | N    | availableAmount | String | 20   | Y   | eg: 1.12 |
| 提币手续费（网络手续费） | N    | withdrawFee     | String | 20   |     | eg: 0.01 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-swft.swft.pro/zhong-xin-hua-dui-huan-api-jie-kou/huo-qu-dan-ge-bi-zhong-zi-chan-ke-yong-yu-e.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
